Loading...
Searching...
No Matches
EMF::EMRSETMITERLIMIT Class Reference

EMF SetMiterLimit. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSETMITERLIMIT:

## Public Member Functions

| EMRSETMITERLIMIT (FLOAT limit)
| EMRSETMITERLIMIT (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF SetMiterLimit.

Sets the length limit for miter joins.

## Constructor & Destructor Documentation

## EMRSETMITERLIMIT() [1/2]

EMF::EMRSETMITERLIMIT::EMRSETMITERLIMIT | ( | FLOAT | limit | ) |

inline

Parameters

  limit | miter length limit.

## EMRSETMITERLIMIT() [2/2]

EMF::EMRSETMITERLIMIT::EMRSETMITERLIMIT | ( | DATASTREAM & | ds | ) |

inline

Construct a SetMiterLimit record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRSETMITERLIMIT::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRSETMITERLIMIT::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRSETMITERLIMIT::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h